package osa.attribute.atgrammar.gui.images;

import javax.swing.*;


/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class ImageLoader
  {
  static
    {
    loader = new ImageLoader().getClass();
    }

  public static final Class loader;

  public ImageLoader()
    {
    }


  public static ImageIcon loadImage(String image_file_name)
    {
    java.net.URL image_url;
    image_url=loader.getResource(image_file_name);
    return new ImageIcon(image_url);
    }

  }